(function(exports) {
    var loginAPI = {
        //获取accessToken
        accessToken: function(data) {
			return httpRequest.post("/authentication/oauth/login",{data: data})
		},
        //查询用户信息
        getUserInfo: function(data){
        	return httpRequest.get("/basic/api/v1.0/users/"+data.userName,{data: data.accessToken})
        },
        //获取居民权限接口
		findByUserId:function(data){
			return httpRequest.get("/basic/api/v1.0/roles/findByUserId",{data: data})
		},
		registe:function(data){
			return httpRequest.post("/basic/api/v1.0/usersOfApp",{data: data})
       }
    }

    exports.loginAPI = loginAPI;
})(window)